Skip to content

List attribute list values

View as Markdown
get /api/categories/attribute_list_values

Retrieves the collection of Attribute List Value resources.

Returns a paginated collection of attribute list values in the current organization.

Headers

NameTypeRequiredDescription
Flowkiwi-Localestring-Specifies the locale for properties that support localization. If not provided, the default locale will be used.

Query parameters

NameTypeRequiredDescription
pageinteger-The collection page number
itemsPerPageinteger-The number of items per page
order[createdAt]string-
order[updatedAt]string-
valuestring-Filter on translated field (strategy: ipartial)
order[value]string-Order by translated field "value" (uses the Flowkiwi-Locale header)

Response

200 - Attribute List Value collection

PropertyTypeRequiredDescription
totalItemsinteger-
searchobject-
Show search fields
PropertyTypeRequiredDescription
@typestring-
templatestring-
variableRepresentationstring-
mappingobject[]-
Show mapping fields
PropertyTypeRequiredDescription
@typestring-
variablestring-
propertystring | null-
requiredboolean-
viewobject-
Show view fields
PropertyTypeRequiredDescription
@idstring-
@typestring-
firststring | null-
laststring | null-
previousstring | null-
nextstring | null-
memberAttribute.List.Value[]required
Show member fields
PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
idstring-The resource's unique identifier (UUID).
valuestring | null-This property supports translations.

The value of the attribute
attributestring | nullrequiredThe Attribute to which this value belongs.
productsstring[]-A list of Product, each one representing a product associated with the value.
createdAtstring-The date and time when the resource was created (ISO 8601 format).
updatedAtstring-The date and time when the resource was last modified (ISO 8601 format).

Errors

403 - Access denied. The caller is missing one or more identity permissions required for this operation.

Content-Type: application/problem+json

PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
typestring-
titlestring-
statusinteger-
detailstring-
missingPermissionsstring[]-Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission.